---
title: Product
slug: redcircleapi/target-product-data-api/parameters/product
docTags: 
createdAt: 2024-07-27T14:22:43.825Z
---

# Product Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Product Parameters are applicable when making a request with  `type=product`  to retrieve details of a single product on Target - the product is specified using either the  `tcin` ,  `dpci`  or  `url`  parameter (where the  `url`  parameter contains a link to an Target product page). The parameters should be appended as querystring parameters to the Target Product Data API `GET` HTTP request.

Product details are retrieved from the [product page](https://www.target.com/p/sharpie-4pk-highlighters-pocket-style-chisel-tip-multicolor/-/A-78025470) for a single product on Target.

![](https://apiimages.imgix.net/redcircleapi/images/png/docs/product.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Product Page")

:::hint{type="info"}
**Lookup an ASIN by GTIN / ISBN / UPC / EAN**
RedCircle API can automatically convert GTIN/ISBN/UPC/EAN codes to TCINs and return product data. For details of how to lookup RedCircle product details by GTIN/ISBN/UPC/EAN please see refer to the [guide](https://docs.trajectdata.com/redcircleapi/target-product-data-api/reference/gtin-upc-to-target-tcin).

Note that RedCircle will cache the GTIN-to-TCIN mapping for 2 months. To force a new GTIN lookup (for example, if you suspect the existing mapping is stale), use the  `skip_gtin_cache=true`  request parameter (note that using  `skip_gtin_cache=true`  decrements 2 credits from your balance, instead of 1).
:::



For example, to request details a product with  `tcin=78025470`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.redcircleapi.com/request?api_key=demo&type=product&tcin=78025470
```

```curl
curl -L --get https://api.redcircleapi.com/request \
-d api_key="demo" \
-d type="product" \
-d tcin="78025470"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "product",
  tcin: "78025470"
}

// make the http GET request to RedCircle API
axios.get('https://api.redcircleapi.com/request', { params })
  .then(response => {

    // print the JSON response from RedCircle API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'product',
  'tcin': '78025470'
}

# make the http GET request to RedCircle API
api_result = requests.get('https://api.redcircleapi.com/request', params)

# print the JSON response from RedCircle API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'product',
  'tcin' => '78025470'
]);

# make the http GET request to RedCircle API
$ch = curl_init(sprintf('%s?%s', 'https://api.redcircleapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from RedCircle API
echo $api_result;

?>
```
:::

***

### Product Parameters

The following parameters are available for all requests made when  `type=product` .

| *`Parameter`* | *`Required`* | *`Description`*                                                                                                                                                                                                                                                                                             |
| ------------- | ------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`tcin`*      | *`optional`* | The Target TCIN (item ID) to retrieve product details for.                                                                                                                                                                                                                                                  |
| *`dpci`*      | *`optional`* | The DPCI code to look up a matching product on Target for. DPCI-based requests work by searching for the DPCI on Target first, then retrieving the product details for the first matching `tcin` .                                                                                                          |
| *`gtin`*      | *`optional`* | The GTIN/ISBN/UPC code to look up a matching product on Target for. If the `gtin` parameter is supplied then the `tcin` and `dpci` parameters are ignored. GTIN-based requests work by searching for the GTIN/ISBN/UPC on Target first, then retrieving the product details for the first matching `tcin` . |
| *`url`*       | *`optional`* | The Target product-page URL to retrieve product details from.  <br />**Note** : If the `url` parameter is supplied then the `tcin` , `dpci` and `gtin` parameters are ignored (the `url` overrides other parameters).                                                                                       |

***

**Next Steps**
     [Product Results](https://docs.trajectdata.com/redcircleapi/target-product-data-api/results/product)
